[checkmk-commits] Check_MK Git: check_mk: fixed .f12 in pnp-templates

Mathias Kettner mk at mathias-kettner.de
Fri Sep 27 11:37:46 CEST 2013


Module: check_mk
Branch: master
Commit: 624b9c889f2dcbf06576f0e2a612aab77db767c9
URL:    http://git.mathias-kettner.de/git/?p=check_mk.git;a=commit;h=624b9c889f2dcbf06576f0e2a612aab77db767c9

Author: Mathias Kettner <mk at mathias-kettner.de>
Date:   Fri Sep 27 11:37:35 2013 +0200

fixed .f12 in pnp-templates

---

 pnp-templates/.f12 |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/pnp-templates/.f12 b/pnp-templates/.f12
index 01e6d45..3dd8927 100644
--- a/pnp-templates/.f12
+++ b/pnp-templates/.f12
@@ -1,5 +1,7 @@
+#!/bin/bash
+SITE=${SITE:-$(cat ../.site || true)}
 SITE=${SITE:-$(omd sites --bare | head -n 1)}
-sudo cp * /omd/sites/$SITE/share/check_mk/pnp-templates
+sudo rsync -varx * /omd/sites/$SITE/share/check_mk/pnp-templates
 
 # do nc to port 32000 only if there is someone listening
 # (otherwise complete f12 script breaks if no listener on 32000)



More information about the checkmk-commits mailing list